:root {
    --primary-color: #000814;
    --secundary-color: #001D3D;
    --thirdy-color: #003566;
    --fourth-color: #FFC300;
    --fifth-color: #FFD60A;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: sans-serif;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100dvh;
}

button {
    all: unset;
    cursor: pointer;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.5rem 1rem;
    background-color: var(--secundary-color);
    color: var(--fifth-color);
}

#search-container {
    display: flex;
    align-items: center;
    width: 50%;
    justify-content: flex-end;
}

header>h2>i {
    margin-right: 0.5rem;
}

.movie-name-wrapper {
    display: flex;
    align-items: center;
}

.movie-year-wrapper {
    display: flex;
    align-items: center;
}

.movie-year-wrapper>input {
    max-width: 5rem;
}

#media-search {
    display: flex;
    gap: 1rem;
}

#search-button {
    width: 5%;
    all: unset;
    padding: 0.3rem;
    border: 2px solid var(--fifth-color);
    border-radius: 10px;
    cursor: pointer;
}

#search-button:focus,
#search-button:hover {
    background-color: var(--thirdy-color);

}

.movie-year-wrapper>input,
.movie-name-wrapper>input {
    margin: 0 0.5rem;
    border-radius: 8px;
    padding: 0.3rem 0.5rem;
    border: none;
}

.movie-name-wrapper>label,
.movie-year-wrapper>label {
    font-weight: bold;
}

main {
    text-align: center;
    color: white;
    padding: 2rem 0;
    background-color: var(--primary-color);
    flex-grow: 1;
}

#movie-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 2rem;
    margin-top: 3rem;
}

#movie-list article {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#movie-list article>img {
    border-radius: 10px;
    margin-bottom: 0.5rem;
}

.remove-button {
    border: 3px solid var(--primary-color);
    padding: 0.3rem 0;
    width: 100%;
    border-radius: 10px;
    font-weight: bold;
    box-shadow: 2px 2px 10px red;
    color: red;
}

.remove-button:hover {
    background-color: red;
    color: #000;
    transition: all 350ms ease-in;

}

.site-footer {
    display: flex;
    justify-content: center;
    background-color: #111;
    color: #fff;
    text-align: center;
    padding: 1rem;
    font-size: 0.9rem;
    gap: 0.3rem;
}